*** a/src/backend/tcop/postgres.c
--- b/src/backend/tcop/postgres.c
***************
*** 2936,2949 **** ProcessInterrupts(void)
  			DisableCatchupInterrupt();
  			if (DoingCommandRead)
  				ereport(FATAL,
! 						(errcode(ERRCODE_ADMIN_SHUTDOWN),
  						 errmsg("terminating connection due to conflict with recovery"),
  						 errdetail_recovery_conflict(),
  				 errhint("In a moment you should be able to reconnect to the"
  						 " database and repeat your command.")));
  			else
  				ereport(ERROR,
! 						(errcode(ERRCODE_QUERY_CANCELED),
  				 errmsg("canceling statement due to conflict with recovery"),
  						 errdetail_recovery_conflict()));
  		}
--- 2936,2949 ----
  			DisableCatchupInterrupt();
  			if (DoingCommandRead)
  				ereport(FATAL,
! 						(errcode(ERRCODE_T_R_SERIALIZATION_FAILURE),
  						 errmsg("terminating connection due to conflict with recovery"),
  						 errdetail_recovery_conflict(),
  				 errhint("In a moment you should be able to reconnect to the"
  						 " database and repeat your command.")));
  			else
  				ereport(ERROR,
! 						(errcode(ERRCODE_T_R_SERIALIZATION_FAILURE),
  				 errmsg("canceling statement due to conflict with recovery"),
  						 errdetail_recovery_conflict()));
  		}
